/* https://arduino.cz/
   https://www.hwkitchen.cz/
   https://www.hwkitchen.cz/rtc-hodiny-realneho-casu-ds3231-pamet-eeprom-at24c32/
   18.11.2017
   Program pro čtení dat z modulu RTC3231.
*/

// importování knihovny
#include <DS3231.h>
// definování pinů
DS3231 rtc(SDA, SCL);

void setup()
{
  // start modulu rtc
  rtc.begin();
  // start seriové linky
  Serial.begin(9600);
}

void loop()
{ 
  // vypiš čas
  Serial.println(rtc.getTimeStr());
  // vypiš datum
  Serial.println(rtc.getDateStr());
  Serial.println("----------");
  // počkej 2s
  delay(2000); 
}

